<?php

/*
 * (C) 2013-2016 iDorMobile LCC, telpho GmbH
 *
 * Version: 1.6.8
 *
 */

    require_once('includes/config.inc.php');

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 20) {
            $go_on = true;
        }
    }
    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

    $language_timezone = "";

	if (isset($_POST['my_action']) && $_POST['my_action'] == "save") {
        $year = "";
        if (isset($_POST['year'])) {
            $year = $_POST['year'];
        }
        $month = "";
        if (isset($_POST['month'])) {
            $month = $_POST['month'];
        }
        $day = "";
        if (isset($_POST['day'])) {
            $day = $_POST['day'];
        }
        $hour = "";
        if (isset($_POST['hour'])) {
            $hour = $_POST['hour'];
        }
        $minute = "";
        if (isset($_POST['minute'])) {
            $minute = $_POST['minute'];
        }

        if (strlen($year) > 0 && strlen($month) > 0 && strlen($day) > 0 && strlen($hour) > 0 && strlen($minute) > 0) {
            $year = intval($year);
            $month = intval($month);
            $day = intval($day);
            $hour = intval($hour);
            $am_pm = $_POST['am_pm'];
            if ($am_pm == "PM") {
                $hour += 12;
            }
            $minute = intval($minute);
            $format = "sudo date %02d%02d%02d%02d%04d";
            $cmd = sprintf($format,$month,$day,$hour,$minute,$year);
            exec($cmd);
        }

		$stmt = "Select * from settings2 where name='language_timezone'";
		if ($s = mysql_query($stmt)) {
			if ($r = mysql_fetch_object($s)) {
				$language_timezone = $r->value;
			}
			mysql_free_result($s);
		}
		if ($language_timezone != mysql_real_escape_string(htmlentities($_POST['language_timezone']))) {
			$stmt = "update settings2 set value='".htmlentities(htmlentities($_POST['language_timezone']))."' where name='language_timezone'";
			mysql_query($stmt);
			exec("sudo /usr/iDorMobile/system/scripts/set_timezone.sh ".mysql_real_escape_string(htmlentities($_POST['language_timezone'])));
		}

	}

	$timezones = array();
	foreach (DateTimeZone::listIdentifiers() as $v) {
		if (preg_match( '~^(America|Antartica|Arctic|Asia|Atlantic|Europe|Indian|Pacific)/~', $v)) {
			$e = preg_split('~/~', $v, 2, PREG_SPLIT_NO_EMPTY); // obtain continent, city

			$city = $e[1];
			$c = $e[0];
			
			$timezones[] = $c."/".$city;

		}
	}

	$stmt = "Select * from settings2 where name='language_timezone'";
	if ($s = mysql_query($stmt)) {
		if ($r = mysql_fetch_object($s)) {
			$language_timezone = $r->value;
		}
		mysql_free_result($s);
	}

    $today = getdate();
    $year = $today['year'];
    $month = $today['mon'];
    $day = $today['mday'];
    $hour = $today['hours'];
    if ($hour < 13) {
        $am_pm = "AM";
    } else {
        $am_pm = "PM";
        $hour -= 12;
    }
    $minute = $today['minutes'];

    $o_smarty->assign('year',$year);
    $o_smarty->assign('month',$month);
    $o_smarty->assign('day',$day);
    $o_smarty->assign('hour',$hour);
    $o_smarty->assign('am_pm',$am_pm);
    $o_smarty->assign('minute',$minute);

	$o_smarty->assign('language_timezone',$language_timezone);
	$o_smarty->assign('timezones',$timezones);
	
	$o_smarty->assign('system_info',$_SESSION['system_info']);
	$o_smarty->assign("user_level",$_SESSION['user_level']);
	$content = $o_smarty->fetch('timezone.html');
	$o_smarty->assign('content',$content);
	$o_smarty->display('index.html');

	
?>
